Groovy Documentation

## groovy.util.logging
[Java] Class Log4j.Log4jLoggingStrategy

    java.lang.Object
      LogASTTransformation.AbstractLoggingStrategy
          groovy.util.logging.Log4j.Log4jLoggingStrategy

    public static class Log4j.Log4jLoggingStrategy
    extends AbstractLoggingStrategy

Constructor Summary
`protected Log4j.Log4jLoggingStrategy(GroovyClassLoader loader)`

Method Summary
`FieldNode` | `addLoggerFieldToClass(ClassNode classNode, java.lang.String logFieldName)`
`boolean` | `isLoggingMethod(java.lang.String methodName)`
`Expression` | `wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)`

Constructor Detail

### Log4j.Log4jLoggingStrategy

    protected Log4j.Log4jLoggingStrategy(GroovyClassLoader loader)

Method Detail

### addLoggerFieldToClass

    public FieldNode addLoggerFieldToClass(ClassNode classNode, java.lang.String logFieldName)

### isLoggingMethod

    public boolean isLoggingMethod(java.lang.String methodName)

### wrapLoggingMethodCall

    public Expression wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)

Groovy Documentation